Bug 1277712 - unattended installation results in using ips instead of hostnames
unattended installation results in using ips instead of hostnames
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Samuel Munilla
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 16:55 EST by Erik M Jacobs
Modified: 2016-07-03 20:46 EDT (History)
7 users (show)

See Also:
Fixed In Version: openshift-ansible-3.0.7-1.git.87.c20c024.el7aos
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:42:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik M Jacobs 2015-11-03 16:55:37 EST
atomic-openshift-utils 3.0.6-1.git.1.e0fd136.el7aos

Using the following YAML configuration file and running the installer unattended, the installer ends up using the ip addresses instead of the hostnames.

If you use the installer interactively then it correctly uses the hostnames:

ansible_log_path: /tmp/ansible.log
ansible_ssh_user: root
hosts:
- hostname: ose3-master.example.com
  ip: 192.168.133.2
  master: true
  node: true
  public_hostname: ose3-master.example.com
  public_ip: 192.168.133.2
- hostname: ose3-node1.example.com
  ip: 192.168.133.3
  node: true
  public_hostname: ose3-node1.example.com
  public_ip: 192.168.133.3
- hostname: ose3-node2.example.com
  ip: 192.168.133.4
  node: true
  public_hostname: ose3-node2.example.com
  public_ip: 192.168.133.4
variant: openshift-enterprise
variant_version: '3.1'
Comment 2 Brenton Leanhardt 2015-11-06 14:19:57 EST
This should be fixed in the next puddle.

Note You need to log in before you can comment on or make changes to this bug.